aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/openocd/openocd-wrapper.sh
diff options
context:
space:
mode:
authorMarti Bolivar <mbolivar@leaflabs.com>2012-06-07 01:24:01 -0400
committerMarti Bolivar <mbolivar@leaflabs.com>2012-06-07 03:40:11 -0400
commit42570013c5266449f7e8512a77fe66b8e852294d (patch)
treef5e5c38175307dbda5cd13b117e6c43f3298f635 /contrib/openocd/openocd-wrapper.sh
parent421e49046cddf786b20db35f76c2bf6edcd39ef3 (diff)
downloadlibrambutan-42570013c5266449f7e8512a77fe66b8e852294d.tar.gz
librambutan-42570013c5266449f7e8512a77fe66b8e852294d.zip
Move OpenOCD stuff into contrib/.
This has gone unmaintained for long enough. Signed-off-by: Marti Bolivar <mbolivar@leaflabs.com>
Diffstat (limited to 'contrib/openocd/openocd-wrapper.sh')
-rwxr-xr-xcontrib/openocd/openocd-wrapper.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/contrib/openocd/openocd-wrapper.sh b/contrib/openocd/openocd-wrapper.sh
new file mode 100755
index 0000000..73be92e
--- /dev/null
+++ b/contrib/openocd/openocd-wrapper.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+# Helper to decide which openocd script to use. We only support 0.3.x and 0.4.x.
+
+if [ $# -ne 1 ]
+then
+ echo "Usage: `basename $0` {flash|debug}"
+ exit 1
+fi
+
+OPENOCD_VERSION=`openocd -v 2>&1 | head -n1 | \
+ awk '{print $4}' | sed 's/\([0-9]*\.[0-9]*\)\.[0-9]*/\1/'`
+
+CFG_FILE=$1_${OPENOCD_VERSION}.cfg
+
+openocd -f support/openocd/$CFG_FILE